package com.esignlive.example;

import java.util.Iterator;
import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.Page;
import com.silanis.esl.sdk.PageRequest;


public class getAllTemplates {
	
	public static final String API_KEY = "YOUR_API_KEY";
    public static final String API_URL = "https://sandbox.esignlive.com/api"; //Be sure to set this to the right instance (apps/sandbox, e-signlive/esignlive, .com/.ca/etc)
    
    
    
    public static void main( String[] args ) throws Exception {
    	
    	//connect to e-SignLive
    	EslClient eslClient = new EslClient( API_KEY, API_URL );
    	    	    	
    	Page<DocumentPackage> myTemplates = eslClient.getPackageService().getTemplates(new PageRequest(1,5)); //Pulls 5 per page. Can pull up to 50 at a time (If change here, you'll probably want to change in next page call, below)
    	
    	for(int templateIndex = 1; templateIndex < myTemplates.getTotalElements();){
    		for(Iterator<DocumentPackage> i = myTemplates.iterator(); i.hasNext(); ){
    			DocumentPackage myDocPackage = i.next();
    			System.out.println(myDocPackage.getName() + " : " + myDocPackage.getId());
    			templateIndex++;
    		}
    		myTemplates = eslClient.getPackageService().getTemplates(new PageRequest(templateIndex,5)); //this calls the next page. If changed templates per page in call above, change here, too to continue to pull that number of templates per page
    	}
    }
}